/*
Theme Name: HessenHub
Theme URI: https://gitlab.hessenhub.de/digll/digll---wordpress-theme
Description: The theme of the HessenHub webportal
Author: HessenHub
Author URI: https://www.hessenhub.de
Version: 2.7.1
Template: fluida-plus
*/

/* place your custom css and customizations below */
:root {
    --hessenhub-primary-link-color: #004896;
    --hessenhub-primary-link-color-hover: #d62029;
}

#breadcrumbs-container {
    margin-bottom: 0px;
}

#content {
    margin-top: 0px;
}

#header-image-main {
    margin-top: 156px;
}

@media (min-width: 1152px) and (max-width: 1250px) {
    #header-image-main {
        margin-top: 100px;
    }
}

.footermenu {
    margin-bottom: 0em;
}

article.hentry, .main .content-widget {
    margin-bottom: 0em;
}

.main .page-title {
    font-size: 3.029em;
}

.media {
    margin-top: 15px;
}

.media:first-child {
    margin-top: 0;
}

.media,
.media-body {
    zoom: 1;
    overflow: hidden;
}

.media-body {
    width: 10000px;
}

.media-object {
    display: block;
}

.media-right,
.media > .pull-right {
    padding-left: 10px;
}

.media-left,
.media > .pull-left {
    padding-right: 10px;
}

.media-left,
.media-right,
.media-body {
    display: table-cell;
    vertical-align: top;
}

.media-middle {
    vertical-align: middle;
}

.media-bottom {
    vertical-align: bottom;
}

.media-heading {
    margin-top: 0;
    margin-bottom: 5px;
}

.media-list {
    padding-left: 0;
    list-style: none;
}

.img-circle {
    border-radius: 50%;
}

.pad-container {
    border-top: unset;
    margin-bottom: 0px;
}

@media only screen and (min-width: 1000px) {
    #footer-kontakt {
        width: auto;
    }

    #footer-kontakt .button, #footer-kontakt .button:hover, #footer-kontakt .button:focus {
        display: block;
        padding: 11px 20px 9px 20px;
        font-size: 16px;
        line-height: 28px;
        font-weight: 600;
        text-transform: uppercase;
        letter-spacing: 1px;
        cursor: pointer;
    }
}

.hessenhub-content-panel > .panel-heading {
    padding: 10px 15px 15px;
}

.hessenhub-content-panel > .panel-body {
    padding-bottom: 0px;
}

.hessenhub-content-panel .tabList {
    margin-bottom: 0px;
    border-right: solid 1px #dddddd;
}

.hessenhub-content-panel .tabList h3 {
    margin-top: .5em;
}

.hessenhub-content-panel .tabList .nav-link {
    padding: 10px 25px;
}

.hessenhub-content-panel .tabList .nav-item.active {
    /*border-left: solid 2px #004896;*/
    border-radius: 4px;
    background-color: #004896;
    margin-right: 15px;
}
.hessenhub-content-panel .tabList .nav-item.active > a {
    color: white;
}

.team-member > p {
    position: relative;
    display: block;
    padding-left: 23px;
    margin: 8px 0;
}

.team-member > p > span.glyphicon {
    position: absolute;
    left: 0px;
}

.team-member > p svg {
    fill: white;
    stroke: #666;
    stroke-width: 4px;
    max-width: 20px;
    margin-top: 4px;
    position: absolute;
    left: 0px;
}

.team-member-block {
    padding: 0px;
}

/* Small devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .hessenhub-tab-dropdown-container {
        /*padding: 0px;*/
    }

    .hessenhub-tab-dropdown-container .dropdown-toggle {
        padding: .5em 0em;
    }
}

.homepage > div > a > .thumbnail {
    padding: 0px;
}

/* Small devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .category-thumbnail {
        max-height: 64px;
        max-width: 64px;
    }

    .hessenhub-content-panel .panel-heading {
        min-height: 79px;
    }

    .hessenhub-content-panel .panel-body .img-thumbnail {
        max-width: none;
        min-width: 40px;
    }
}

/* Medium devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .hessenhub-content-panel .panel-heading {
        min-height: 79px;
    }

    .hessenhub-content-panel .panel-body .img-thumbnail {
        max-width: none;
        min-width: 40px;
    }

    .cryout #colophon-inside:not(.footer-one) .widget-container {
        margin-bottom: 0px;
    }

    .cryout #colophon-inside:not(.footer-one) .wp-block-columns {
        margin-bottom: 0px;
    }
}

/* Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .category-thumbnail {
        max-height: 128px;
        max-width: 128px;
    }

    .hessenhub-content-panel .panel-heading {
        min-height: 143px;
    }

    .hessenhub-content-panel .panel-body .img-thumbnail {
        max-width: none;
        min-width: 40px;
    }
}

@media (min-width: 1201px) {
    #access > div > ul li > a:not(:only-child) > span::after {
        right: unset;
        padding-left: .5em;
    }

    #masthead > #site-header-main.header-fixed {
        height: initial;
        line-height: initial;
    }

    #masthead > #site-header-main > #site-header-main-inside{
        box-shadow: 0 0 3px rgba(0, 0, 0, 0.2);
    }

    .fluida-menu-animation #site-header-main.header-fixed .menu-search-animated,
    .fluida-menu-animation .header-fixed #access div > ul > li > a {
        height: initial;
        line-height: initial;
        box-shadow: unset;
    }

    #lp-text-zero.lp-text {
       border-bottom: solid .5em #004896;
       background-position: 100% 46%;
       background-repeat: no-repeat;
       background-size: 310px;
    }
}

/*___Start able player styles____*/
/*Upgarde z-index bc. able player*/
#site-header-main {
    z-index: 5001;
}

.able {
    box-shadow: none!important;
}

.able *::before {
    font-family: able!important;
}
.able-seekbar-loaded {
    display: none!important;
}
.able-seekbar-played {
    left: -2px!important;
    top: -2px!important;
}

.able-seekbar-head {
    top: -10px!important;
}

.able-status-bar {
    padding: 0px 10px 0px 10px!important;
}

.able-volume-slider {
    top: -70px!important;
    height: 70px!important;
}

.able-media-container button {
    background-color: unset;
}
/*___End of able player styles___*/

.able-media-container > .able-big-play-button {
    width: 100% !important;
    height: 100% !important;
}

/*___Start staticslider styles____*/
.lp-staticslider .staticslider-caption-title {
    line-height: 1.2;
    color: #0a4693;
    font-weight: bold;
}

.lp-staticslider .staticslider-sep {
    background: #0a4693
}

.staticslider-button {
    background-color: #0a4693;
    color: #fff;
}

.staticslider-button:nth-child(2n) {
    border-color: #0a4693 !important;
}

.lp-staticslider .staticslider-caption-text {
    line-height: 1.2;
    color: #0a4693
}

.homepage > div > a > .thumbnail {
    padding: 0px;
}
/*___End staticslider styles____*/

/*Main Page lp-boxes */
.lp-boxes-animated .lp-box-title {
    background-color: #000000ba;
    padding: 5px 10px;
    -moz-transition: all 1s ease-in;
    -webkit-transition: all .1s ease-in;
    -o-transition: all .1s ease-in;
    transition: all .1s ease-in;
}

.lp-box:hover .lp-box-title {
    background-color: transparent;
}

.lp-boxes-animated .lp-box-readmore {
    opacity: 1;
}

/*Button to 'Infos zum Gesamtprojekt'“'*/
.staticslider-button:nth-child(2n+1):hover {
    background: #0085ba;
}

/*Main Page button read more */
.lp-block-readmore {
    padding: 10px 15px;
    background-color: #fff;
    border: 2px solid #ececec;
    -webkit-transition: .2s ease-out all;
    transition: .2s ease-out all;
}

.lp-block-readmore:hover {
    border: 2px solid #0085ba;
}

/*Page Navigation too long. make Hamburgermenu appear by 1250px */
@media (max-width: 1250px) {
    #masthead.cryout #access {
        display: none;
    }

    .cryout #nav-toggle {
        display: block;
    }

    .cryout #sheader {
        margin-left: 0;
        margin-right: 2em;
    }
}

article.format-status > .article-inner {
    padding-top: 0em;
}

/* Shortposts block */
.entry-content .shortpost-meta,
.shortposts-block .shortpost-meta {
    margin-bottom: 1em;
}

.entry-content .shortpost-meta > img,
.shortposts-block .shortpost-meta > img {
    margin-top: 0px;
}

.entry-content .shortpost-meta .blicon-user,
.shortposts-block .shortpost-meta .blicon-user,
.entry-content .shortpost-meta .blicon-calendar,
.shortposts-block .shortpost-meta .blicon-calendar,
.entry-content .shortpost-meta .blicon-link,
.shortposts-block .shortpost-meta .blicon-link {
    margin-right: .5em;
}

.shortposts-block .shortpost-tab-nav {
    margin-bottom: 0;
}

.shortpost-tab-nav > li > a {
    background-color: white;
}

.shortpost-tab-nav > li:nth-child(2) > a {
    margin-left: .5em;
    margin-right: .5em;
}

@media (min-width: 500px) and (max-width: 768px) {
    .entry-content:not(.shortpost-timeline-entry) .shortpost-meta {
        display: table;
        width: 100%;
    }

    .entry-content:not(.shortpost-timeline-entry) .shortpost-meta div {
        display: table-cell;
        text-align: center;
    }
}

@media (min-width: 550px) and (max-width: 768px) {
    .shortposts-block .shortpost-meta {
        display: table;
        width: 100%;
    }

    .shortposts-block .shortpost-meta div {
        display: table-cell;
        text-align: center;
    }
}

@media (min-width: 769px) {
    .shortposts-block-row > div:not(:first-child) {
        border-left: 1px solid #ddd;
    }

    .shortposts-block-row #shortpostArchiveImage {
        max-height: 25em;
    }
}

@media (max-width: 768px) {
    .shortposts-block-row > div:not(:last-child):after {
        content: " ";
        display: block;
        border-bottom: 1px solid #ddd;
    }

    .shortposts-block-row > div:not(:first-child) {
        padding-top: 20px;
    }

    .shortposts-block .panel-heading {
        border-bottom: 1px solid #ddd;
    }

    .shortposts-block .tab-pane {
        margin-top: 30px;
        hyphens: auto;
    }

    .shortposts-block .panel-heading h2 {
        padding: 15px;
        margin-bottom: 0px;
    }

    .shortpost-tab-nav li {
        display: table-cell;
        width: 1%;
    }

    .shortpost-tab-nav > li > a {
        margin-bottom: 0px;
    }

    .shortpost-meta {
        margin-top: 1em;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    .shortpost-timeline-entry .shortpost-meta {
        margin-top: unset;
    }
}

.shortposts-block-row .shortpost-meta p {
    margin-bottom: 0em;
}

.img-responsive {
    display: block;
    max-width: 100%;
    height: auto;
}

.hessenhub-nav-container {
    display: inline-block;
    width: 100%;
    padding-bottom: .5em;
}

@media (max-width: 1250px){
    .hessenhub-nav-container {
        display: none;
    }
}

.hessenhub-nav-container nav {
    width: 100%;
}

.hessenhub-nav-container > #access > div > ul {
    display: flex;
    justify-content: space-around;
}

.hessenhub-nav-container > #access #prime_nav > li > .sub-menu {
    margin-top: 16px;
}

.header-fixed .hessenhub-nav-container > #access #prime_nav > li > .sub-menu {
    margin-top: 13px;
}

.hessenhub-nav-container > #access > div > ul > li > a {
    line-height: unset;
    height: unset;
    border-bottom: solid 2px #004896;
    margin: .1em .3em .1em .3em;
    padding: .1em .1em .1em .1em;
}

/* Using the right icon instead of rotating the chevron down that would not have the right alignment */
#access > div > ul ul > li a:not(:only-child) > span::after {
    content: '\e808';
    -webkit-transform: unset;
    -ms-transform: unset;
    transform: unset;
}

/* Make the pagination of the participants database look and behave like the fluida pagination */

.pagination.pdb-pagination {
    padding: .5em;
    background-color: #F3F3F3;
    display: table;
}

.pagination.pdb-pagination span.ajax-loading,
.pagination.pdb-pagination svg.ajax-loading {
    margin-left: .5em;
    font-size: 1.4em;
    line-height: 2.2;
    height: 2.2em;
    transition: none;
}

.pagination.pdb-pagination span.ajax-loading object {
    top: 15%;
    left: 20%;
    margin-top: 0;
}

.pagination.pdb-pagination span.ajax-loading:hover {
    width: 2.2em;
    background-color: #fff;

}

.pagination.pdb-pagination .ajax-loading > image:nth-child(1) {
    height: 2.2em;
}

.pagination.pdb-pagination ul > li > span > span,
.pagination.pdb-pagination ul > li > a > span {
    font-size: 22.4px;
    background-color: unset;
}

.main .pagination.pdb-pagination > ul {
    margin-left: 0px;
    display: contents;
}

.pdb-list .pagination.pdb-pagination li > span,
.pagination.pdb-pagination li > span,
.pdb-list .pagination.pdb-pagination a,
.pagination.pdb-pagination a {
    float: left;
    background-color: #fff;
    margin-right: 1px;
    box-shadow: 0 0 0.5em 0.1em rgb(0 0 0 / 3%);
    padding: unset;
    border-width: unset;
    border-style: unset;
    border-color: unset;
    border-radius: unset;
}

.pdb-list .pagination.pdb-pagination li > span:hover,
.pagination.pdb-pagination li > span:hover,
.pdb-list .pagination.pdb-pagination a:hover,
.pagination.pdb-pagination a:hover {
    width: 3em;
    color: #d62029;
}

.pagination.pdb-pagination a:hover,
.pagination.pdb-pagination span:hover {
    width: 3em;
    background-color: unset;
}

.pdb-list .pagination.pdb-pagination li.currentpage span,
.pdb-pagination.pdb-pagination li.currentpage span {
    color: #d62029;
    background-color: #fff;
    width: 3em;
}

.pdb-list .pagination.pdb-pagination a,
.pagination.pdb-pagination a {
    transition: all .3s ease-in-out;
    -webkit-transition: all .3s ease-in-out;
}

.pagination.pdb-pagination .dashicons. {
    margin: 0;
    padding: 0;
    border: 0;
}

.has-dashicons .pagination.pdb-pagination .dashicons.dashicons-previous-page:after,
.has-dashicons .pagination.pdb-pagination .dashicons.dashicons-next-page:after {
    font-family: "elusive";
    font-style: normal;
    font-weight: normal;
    speak: never;
    display: inline-block;
    text-decoration: inherit;
    width: 100%;
    text-align: center;
    font-variant: normal;
    text-transform: none;
    line-height: inherit;
    cursor: inherit;
    -webkit-font-smoothing: antialiased;
    position: absolute;
    left: 0px;
}

.has-dashicons .pagination.pdb-pagination .dashicons.dashicons-previous-page:after {
    content: "\e807";
}

.has-dashicons .pagination.pdb-pagination .dashicons.dashicons-next-page:after {
    content: "\e808";
}

.wp-block-button__link:visited {
    color: #004896;
}

.socials a[href*="hessen.social"] {
    width: 1em;
    background-image: url(assets/images/mastodon-logo.svg);
    background-repeat: no-repeat;
    background-size: 1em;
    background-position: center;
}

.socials a[href*="hessen.social"]:before {
    content: "\ ";
}
